
Set fso = CreateObject("Scripting.FileSystemObject")

' lege Start-Ordner fest, ermittle dafr Ordner in den das script liegt
startFolder = fso.GetParentFolderName(WScript.ScriptFullName)	'"C:\Megatech\"
  
' Ausgabe-Ordner = Start-Ordner
outputFolder = startFolder
outputFile = "drawingList.txt"

Set objOutputFile = fso.OpenTextFile(outputFolder & "\" & "drawingList.txt" ,2 , True)

Set objFolder = fso.GetFolder(startFolder)

ListFiles(objFolder)

ShowSubfolders(objFolder) 

Wscript.Echo "Liste erstellt."


Set objShell = CreateObject("WScript.Shell")
Command = """C:\Program Files (x86)\Megatech\MegaCAD 2013 (32) 3D\UTILS\MEGAVIEW.EXE """ & "@" & outputFolder & "\" & outputFile
'Wscript.Echo Command
objShell.Run Command
Set objShell = Nothing

objOutputFile.Close
Set fso = Nothing

WScript.Quit 0

' Unterprogramm schreibt alle Dateien im bergebenen Verzeichnis und 
' mit der Endung *.PRT und *.MAC in die Ausgabedatei
Sub ListFiles(objFolder)
	For Each file in objFolder.Files	'colFiles
		strFileName = file.Name
		If UCase(fso.GetExtensionName(strFileName)) = "PRT" Or _
		   UCase(fso.GetExtensionName(strFileName)) = "MAC" Then
			objOutputFile.WriteLine objFolder & "\" & file.Name
		End If
	Next
End Sub


' Unterprogramm durchluft alle Unterverzeichnisse
Sub ShowSubFolders(objFolder)
    For Each subFolder in objFolder.SubFolders
       ListFiles(fso.GetFolder(subFolder.Path))
       ShowSubFolders(subFolder)
    Next
End Sub

